%define name galago-sharp
%define version 0.5.0
%define galagover 0.5.2

%define pkgconfigdir %_datadir/pkgconfig
%define monodir %_prefix/lib/mono
Summary:	Galago Mono bindings
Name:		%{name}
Version:	%{version}
Release:	%mkrel 14
Source0:	http://galago-project.org/files/releases/source/galago-sharp/%{name}-%{version}.tar.bz2
Source1:	galago-sharp-0.5.0-dll.config
Source2:	libgalago-%galagover.tar.bz2
Patch:		galago-sharp-0.5.0-nunit.patch
Patch1:		galago-sharp-0.5.0-disable-tests.patch
Patch2:		galago-sharp-0.5.0-automake-1.13.patch
License:	LGPL
Group:		Development/Other
Url:		http://www.galago-project.org/
BuildRequires:	libgalago-devel >= 0.5.0
BuildRequires:	mono-devel
#gw only needed for the tests
#BuildRequires: dbus-sharp
BuildRequires:	gtk-sharp2-devel glib-sharp2
BuildRequires:	libxslt-proc
BuildRequires:	automake1.8
BuildArch:	noarch
Requires:	galago3 >= %galagover
%define _requires_exceptions lib.*galago

%description
This are the Mono/.NET bindings for the Galago desktop presence framework.

%prep
%setup -q -a 2
cp %SOURCE1  galago-sharp.dll.config
%patch -p1
%patch1 -p1
%patch2 -p1 -b .automake113
aclocal-1.8
autoconf
autoheader
automake-1.8
mv libgalago-%galagover sources/libgalago

%build
./configure --prefix=%_prefix --libdir=%_prefix/lib
make

%check
make check

%install
%makeinstall_std pcdatadir=%pkgconfigdir
cp galago-sharp.dll.config %buildroot%monodir/gac/%name/*/

%files
%doc README ChangeLog AUTHORS NEWS
%monodir/%name
%monodir/gac/%name
%pkgconfigdir/%name.pc
%_datadir/gapi-2.0/galago-api.xml


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.5.0-14.mga3
+ Revision: 351021
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 sander85 <sander85> 0.5.0-13.mga3
+ Revision: 344795
- Fix build with automake 1.13

* Thu Apr 14 2011 tv <tv> 0.5.0-12.mga1
+ Revision: 85389
- cleanups
- imported package galago-sharp

